//
//  ViewController.m
//  ttbt
//
//  Created by lucky on 16/7/22.
//  Copyright © 2016年 Lukcy. All rights reserved.
//

#import "ViewController.h"

@interface ViewController (){

    UIButton *_selectedBarButton;
}

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSArray *titleArray = @[@"第一个",@"第二个",@"详细",@"更多"];

    for (int i = 0 ; i<titleArray.count ; i++) {
        
        UIButton *btn = [UIButton buttonWithType:UIButtonTypeCustom];
        btn.frame = CGRectMake((self.view.frame.size.width/titleArray.count)*i, 100, self.view.frame.size.width/titleArray.count-5,30);
        btn.tag = i;
        btn.layer.borderColor = [UIColor lightGrayColor].CGColor;
        btn.layer.borderWidth = .5;
        [btn setTitle:titleArray[i] forState:UIControlStateNormal];
        [btn setTitleColor:[UIColor blueColor] forState:UIControlStateNormal];
        [btn setTitleColor:[UIColor redColor] forState:UIControlStateSelected];
        [btn addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchDown];
        [self.view addSubview:btn];
     //增加此判断默认选中第一个
        if(i == 0){
            [self btnClick:btn];
        }
    }
}
- (void)btnClick:(UIButton *)bt{
    
    _selectedBarButton.selected = NO;
    bt.selected = YES;
    _selectedBarButton = (UIButton *)bt;
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
